<?php
/**
*
* @author saanina (Abdulrahman Alshawaiee) saanina@gmail.com
* @package umil
* @version $Id honor_board_install.php 1.0.0 2009-09-28 10:58:37GMT saanina $
* @copyright (c) 2009 phpbbarabia.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/honor_board');

if (!file_exists($phpbb_root_path . 'umil/umil.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// We only allow a founder to install this MOD
// not in Saanina MODs anyway ..
if ($user->data['user_type'] != USER_FOUNDER)
{
	if ($user->data['user_id'] == ANONYMOUS)
	{
		//login_box('', 'LOGIN');
	}
	//trigger_error('NOT_AUTHORISED');
}

if (!class_exists('umil'))
{
	include($phpbb_root_path . 'umil/umil.' . $phpEx);
}

$umil = new umil(true);

$mod = array(
	'name'		=> 'honor_board',
	'version'	=> '1.0.0',
	'config'	=> 'honor_board_version',
	'enable'	=> 'honor_board_enable',
);

if (confirm_box(true))
{
	// Install the base 1.0.0 version
	//if (!$umil->config_exists($mod['config']))
	//{
		// Lets add a config setting for enabling/disabling the MOD and set it to true
		$umil->config_add($mod['enable'], true);
		// We must handle the version number ourselves.
		$umil->config_add($mod['config'], $mod['version']);

		$umil->table_add(array(	));

		$umil->config_add('show_board_hb', '1', '0');
		$umil->config_add('best_user_hb', '--', '0');
		$umil->config_add('best_userid_hb', '0', '0');
		$umil->config_add('best_moderator_hb', '--', '0');
		$umil->config_add('best_moderatorid_hb', '0', '0');
		$umil->config_add('best_forum_hb', '--', '0');
		$umil->config_add('best_forumid_hb', '0', '0');

		$umil->module_add(array(
			// Add a new category named ACP_HONOR_BOARD to ACP_CAT_DOT_MODS
			array('acp', 'ACP_CAT_DOT_MODS', 'ACP_HONOR_BOARD'),

			// Add the settings and features modes from the honor_board module to the ACP_HONOR_BOARD category using the "automatic" method.
			array('acp', 'ACP_HONOR_BOARD', array(
					'module_basename'       => 'honor_board'
					),
				),
		));

		// Our final action, we purge the board cache
		$umil->cache_purge();
	//}

	// We are done
	trigger_error('INSTALL_DONE_HONOR_BOARD');
}
else
{
	confirm_box(false, $user->lang['INSTALL_HONOR_BOARD']);
}

// Shouldn't get here.
redirect($phpbb_root_path . $user->page['page_name']);

?>